Loading...
Searching...
No Matches
EST_TKVI< K, V > Class Template Reference

`#include <include/EST_TKVL.h>`

## Public Member Functions

bool | operator== (const EST_TKVI< K, V > &i)

## Public Attributes

K | k
V | v

## Friends

ostream & | operator<< (ostream &s, EST_TKVI< K, V > const &i)

## Detailed Description

template<class K, class V>
class EST_TKVI< K, V >

Templated Key-Value Item. Serves as the items in the list of the EST_TKVL class.

Definition at line 55 of file EST_TKVL.h.

## Member Function Documentation

## operator==()

template<class K, class V>

bool EST_TKVI< K, V >::operator== | ( | const EST_TKVI< K, V > & | i | ) |

inline

Definition at line 60 of file EST_TKVL.h.

## Friends And Related Symbol Documentation

## operator<<

template<class K, class V>

ostream & operator<< | ( | ostream & | s,
|  | EST_TKVI< K, V > const & | i )

friend

Definition at line 64 of file EST_TKVL.h.

## Member Data Documentation

## k

template<class K, class V>

K EST_TKVI< K, V >::k

Definition at line 57 of file EST_TKVL.h.

## v

template<class K, class V>

V EST_TKVI< K, V >::v

Definition at line 58 of file EST_TKVL.h.

The documentation for this class was generated from the following file:

- include/EST_TKVL.h